.vh100{
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
}

.vh50_top {
    display: flex;
    align-items: end;
    justify-content: center;
    min-height: 50vh;
}

.vh50_bottom {
    display: flex;
    align-items: start;
    justify-content: center;
    min-height: 50vh;
}
.u-border-grey-30 {
    border-color: #b3b3b3;
}

/* Общая обертка для двух этажей */
.marquee-double-wrapper {
    display: flex;
    flex-direction: column;
    gap: 20px; /* Отступ между верхним и нижним рядами */
    width: 100%;
}

/* Контейнер строки */
.logo-marquee-container {
    overflow: hidden;
    display: flex !important;
    flex-direction: row !important;
    flex-wrap: nowrap !important;
    user-select: none;
    width: 100vw;
    position: relative;
    left: 50%;
    right: 50%;
    margin-left: -50vw;
    margin-right: -50vw;
	margin-top: 30px;
}

/* Базовый трек для логотипов */
.logo-marquee-track {
    flex-shrink: 0 !important;
    display: flex !important;
    flex-direction: row !important;
    flex-wrap: nowrap !important;
    align-items: center;
    justify-content: flex-start;
    gap: 80px; /* Расстояние между логотипами */
    padding-right: 80px; /* Должен быть равен gap */
    min-width: 100%;
}

/* Первый ряд плывет налево */
.row-left .logo-marquee-track {
    animation: scroll-left 30s linear infinite;
}

/* Второй ряд плывет направо */
.row-right .logo-marquee-track {
    animation: scroll-right 30s linear infinite;
}

/* Элементы логотипов */
.logo-marquee-item {
    flex-shrink: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.logo-marquee-item img {
    height: 10vh; /* Высота логотипов */
    width: auto;
    object-fit: contain;
    display: block;
}

/* Пауза при наведении */
.logo-marquee-container:hover .logo-marquee-track {
    animation-play-state: paused;
}

/* Анимация влево */
@keyframes scroll-left {
    0% { transform: translateX(0); }
    100% { transform: translateX(-100%); }
}

/* Анимация вправо */
@keyframes scroll-right {
    0% { transform: translateX(-100%); }
    100% { transform: translateX(0); }
}